Subject: Re: linux-next: build failure after merge of the mm tree

From: Dmitry Rokosov <[email-masked]>
Date: Wed, 29 Nov 2023 11:17:04 +0300

Hello Stephen and Andrew,

On Tue, Nov 28, 2023 at 02:45:14PM -0800, Andrew Morton wrote:
> On Wed, 29 Nov 2023 08:45:47 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > After merging the mm tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> > 
> > make[5]: *** No rule to make target 'samples/cgroup/cgroup_event_listener.c', needed by 'samples/cgroup/cgroup_event_listener'.  Stop.
> > 
> > Caused by commit
> > 
> >   fc2cf253aaec ("samples: introduce new samples subdir for cgroup")
> > 
> > I have reverted that commit (and the following one) for today.
> 
> Thanks, my rename detector broke.  Fixed.

Sorry, I don't fully understand the situation. Is there any issue on my
side? I have added new samples to the Makefile, and it's very strange
that there are build failures.

Makefile contains:

====
# SPDX-License-Identifier: GPL-2.0
userprogs-always-y += cgroup_event_listener
userccflags += -I usr/include
====

-- 
Thank you,
Dmitry